Bug 72614 - invalid-casts-to-tree-view assertions triggered by gnome-session-properties
invalid-casts-to-tree-view assertions triggered by gnome-session-properties
Product: Red Hat Linux
Classification: Retired
Component: gnome-session (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: MoveUpstream, Triaged
Depends On:
  Show dependency treegraph
Reported: 2002-08-26 00:32 EDT by Michal Jaegermann
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-12 22:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-08-26 00:32:59 EDT
Description of Problem:

The following types of errors appeared in logs multiple times:

(gnome-session-properties:19190): GLib-GObject-WARNING **: invalid cast from
`(null)' to `GtkTreeView'

(gnome-session-properties:19190): Gtk-CRITICAL **: file gtktreeview.c: line 7590
(gtk_tree_view_get_model): assertion `GTK_IS_TREE_VIEW (tree_view)' failed

(gnome-session-properties:19190): GLib-GObject-WARNING **: invalid cast from
(NULL) pointer to `GtkListStore'

(gnome-session-properties:19190): Gtk-CRITICAL **: file gtkliststore.c: line
1293 (gtk_list_store_append): assertion `GTK_IS_LIST_STORE (list_store)' failed

Also apparently from "session" these appeared:
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
Comment 1 Havoc Pennington 2003-01-12 22:04:03 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103300

Note You need to log in before you can comment on or make changes to this bug.